[Numpy-discussion] F2py and Absoft Fortran compiler v11.0 (unable to locate U77.lib) [patch]

Charles R Harris charlesr.harris@gmail....
Sat Sep 25 08:52:45 CDT 2010


On Fri, Sep 24, 2010 at 6:15 AM, Åsmund Hjulstad
<asmund.hjulstad@gmail.com>wrote:

>
> Hi all,
>
> I have a small patch to absoft.py:
>
> Compiling my fortran extension using f2py and distutils from Numpy 1.5,
> with Python 2.7 on Windows, using Absoft v11.0 and MSVC 2008 Pro, first, it
> complained about not finding the library U77.lib. Removing this from the
> library list (in absoft.py) gave me this error:
>
> error LNK2001: unresolved external symbol __absoft_s_cat
>
> This symbol is now exported from amisc.lib, and after adding this to the
> library list everything works fine.
>
> The end result is the following patch:  (or just replacing U77 with amisc)
> ---
> C:/Python27/Lib/site-packages/numpy/distutils/fcompiler/absoft_patched.py
> Fri Sep 24 15:10:57 2010
> +++ C:/Python27/Lib/site-packages/numpy/distutils/fcompiler/absoft.py
> Fri Sep 24 15:09:52 2010
> @@ -91,7 +91,9 @@
>
>      def get_libraries(self):
>          opt = FCompiler.get_libraries(self)
> -        if self.get_version() >= '10.0':
> +        if self.get_version() >= '11.0':
> +            opt.extend(['af90math', 'afio', 'af77math', 'amisc'])
> +        elif self.get_version() >= '10.0':
>              opt.extend(['af90math', 'afio', 'af77math', 'U77'])
>          elif self.get_version() >= '8.0':
>              opt.extend(['f90math','fio','f77math','U77'])
>
>
> BTW, the performance increase compared to gfortran v4.5.0 is really
> noticeable, perhaps more than 50%.
>
>
Done in 75cebc1. It is better to open a ticket for these things as otherwise
they are likely to slip unnoticed into history.

Chuck
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://mail.scipy.org/pipermail/numpy-discussion/attachments/20100925/17191cbc/attachment-0001.html 


More information about the NumPy-Discussion mailing list